Bug 733951 - [abrt] kernel: WARNING: at kernel/lockdep.c:690 look_up_lock_class+0xa0/0xc3(): TAINTED ---------W
Summary: [abrt] kernel: WARNING: at kernel/lockdep.c:690 look_up_lock_class+0xa0/0xc3(...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8eb145318a3378d7aa6bff3ba41...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 21:08 UTC by Mikko Tiihonen
Modified: 2012-01-31 14:16 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-31 14:16:28 UTC


Attachments (Terms of Use)

Description Mikko Tiihonen 2011-08-28 21:08:21 UTC
abrt version: 2.0.5
cmdline:        ro root=UUID=10033589-14c8-48f0-8d13-e2b4bf44fce6 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fi selinux=0 pcie_aspm=force
comment:        Found once on system log
kernel:         undefined
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
reason:         WARNING: at kernel/lockdep.c:690 look_up_lock_class+0xa0/0xc3()
time:           Mon Aug 29 00:03:35 2011

backtrace:
:WARNING: at kernel/lockdep.c:690 look_up_lock_class+0xa0/0xc3()
:Hardware name: 42844DG
:Modules linked in: rfcomm bnep btusb bluetooth fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle tun bridge stp llc coretemp arc4 uvcvideo videodev cdc_wdm media v4l2_compat_ioctl32 cdc_acm cdc_ncm usbnet mii joydev microcode iTCO_wdt iTCO_vendor_support i2c_i801 iwlagn thinkpad_acpi snd_hda_codec snd_hwdep mac80211 snd_seq snd_seq_device cfg80211 snd_pcm rfkill snd_timer snd soundcore e1000e snd_page_alloc virtio_net kvm_intel kvm uinput btrfs zlib_deflate libcrc32c sdhci_pci sdhci firewire_ohci firewire_core mmc_core crc_itu_t wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 0, comm: kworker/0:1 Tainted: G        W   3.1.0-0.rc3.git0.0.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8105c528>] warn_slowpath_common+0x83/0x9b
: [<ffffffff8105c55a>] warn_slowpath_null+0x1a/0x1c
: [<ffffffff8108bbdb>] look_up_lock_class+0xa0/0xc3
: [<ffffffff8108bb9a>] ? look_up_lock_class+0x5f/0xc3
: [<ffffffff8108be17>] register_lock_class+0x1e/0x2d3
: [<ffffffff8108be17>] ? register_lock_class+0x1e/0x2d3
: [<ffffffff8108dc11>] ? mark_lock+0x2d/0x220
: [<ffffffff81014de5>] ? paravirt_read_tsc+0x9/0xd
: [<ffffffff81050357>] ? update_group_power+0x9d/0xf9
: [<ffffffff8108ded7>] __lock_acquire+0xd3/0xcf7
: [<ffffffff8104e629>] ? double_rq_lock+0x49/0x5b
: [<ffffffff8108eff1>] lock_acquire+0xf3/0x13e
: [<ffffffff8104e629>] ? double_rq_lock+0x49/0x5b
: [<ffffffff81503905>] _raw_spin_lock+0x45/0x79
: [<ffffffff8104e629>] ? double_rq_lock+0x49/0x5b
: [<ffffffff8104e629>] double_rq_lock+0x49/0x5b
: [<ffffffff810565db>] load_balance+0x1d3/0x627
: [<ffffffff8150428f>] ? _raw_spin_unlock_irqrestore+0x45/0x61
: [<ffffffff8104805e>] ? dequeue_task_idle+0x32/0x32
: [<ffffffff8108f00d>] ? lock_acquire+0x10f/0x13e
: [<ffffffff8104805e>] ? dequeue_task_idle+0x32/0x32
: [<ffffffff810480c3>] ? rcu_read_unlock+0x21/0x32
: [<ffffffff8108bd33>] ? lock_is_held+0x8a/0x95
: [<ffffffff81056b5b>] rebalance_domains+0x12c/0x1af
: [<ffffffff81056c8b>] run_rebalance_domains+0xad/0x108
: [<ffffffff81062bb6>] __do_softirq+0x112/0x25a
: [<ffffffff81014de5>] ? paravirt_read_tsc+0x9/0xd
: [<ffffffff8150d37c>] call_softirq+0x1c/0x30
: [<ffffffff81010bf5>] do_softirq+0x4b/0xa2
: [<ffffffff81062f65>] irq_exit+0x5d/0xcf
: [<ffffffff81026aef>] smp_call_function_single_interrupt+0x25/0x2a
: [<ffffffff8150cdf3>] call_function_single_interrupt+0x73/0x80
: <EOI>  [<ffffffff81014de5>] ? paravirt_read_tsc+0x9/0xd
: [<ffffffff81296bed>] ? intel_idle+0xe5/0x10c
: [<ffffffff81296be9>] ? intel_idle+0xe1/0x10c
: [<ffffffff813e18c6>] cpuidle_idle_call+0x11c/0x1fe
: [<ffffffff8100e2ea>] cpu_idle+0xab/0x101
: [<ffffffff814f0393>] start_secondary+0x25d/0x25f

Comment 1 Dave Jones 2012-01-30 19:36:40 UTC
is this still occurring in the 3.2 kernel ?

Comment 2 Mikko Tiihonen 2012-01-31 10:45:29 UTC
I have no longer seen this in 3.2 kernel

Comment 3 Josh Boyer 2012-01-31 14:16:28 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.